- Home
- API Enriched
- Shape
- shape
- Forensic Fields.
Forensic Fields.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/forensic/fields';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","fields":[{"key":"TIMESTAMP","limit":1,"mode":"AGGREGATE","sort":{"key":"example","order":"DESCENDING"}}],"filters":{"global_filters":[{"key":"TIMESTAMP","op":"IN","values":["example"]}],"region_filter":"US"},"namespace":"example","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/forensic/fields \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "fields": [ { "key": "TIMESTAMP", "limit": 1, "mode": "AGGREGATE", "sort": { "key": "example", "order": "DESCENDING" } } ], "filters": { "global_filters": [ { "key": "TIMESTAMP", "op": "IN", "values": [ "example" ] } ], "region_filter": "US" }, "namespace": "example", "start_time": "example" }'GET
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for Shape Bot Defense Forensic Fields.
object
End time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Additional fields for the query
Required: YES.
Forensic query field.
object
Limits the number of transactions returned in the response Optional: If not specified, the first 500 transactions that matches the query will be returned in the response. The maximum value for limit is 500.
object
Key to sort
Required: YES.
object
List of global filters
Required: YES.
Query Global Filter.
object
An unordered list of filter strings Required: YES.
Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.
Start time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response for Shape Bot Defense Forensic Fields.
object
Required: YES.
Forensic Data.
object
Optional Forensic Aggregate Type.
Forensic AggregateType fields.
object
Forensic Aggregate Count
Required: YES.
Forensic Aggregate Percent
Required: YES.
Forensic Aggregate Value
Required: YES.
object
Forensic Error Code
Required: YES.
Forensic Error Message
Required: YES.
Optional Forensic Suggest Type.
Forensic SuggestType fields.
object
Forensic Suggest Value
Required: YES.
Example
{ "fields": [ { "key": "TIMESTAMP", "mode": "AGGREGATE" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example